package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: RebateMerAccountOrderStatus
 * @author: HuRui
 * @date: 2023/10/13
 **/
public enum RebateMerAccountOrderType {
    type1(1, "充值"),
    ;

    private Integer number;

    private String name;

    RebateMerAccountOrderType(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static RebateMerAccountOrderType getDataByNumber(Integer number) {
        for (RebateMerAccountOrderType ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
